// ApplyHeapChkDlg.h : header file
//

#if !defined(AFX_APPLYHEAPCHKDLG_H__A6BCAC8E_FA35_485F_AB98_CF57D68BA7CB__INCLUDED_)
#define AFX_APPLYHEAPCHKDLG_H__A6BCAC8E_FA35_485F_AB98_CF57D68BA7CB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CApplyHeapChkDlg dialog

class CApplyHeapChkDlg : public CDialog
{
// Construction
public:
	CApplyHeapChkDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CApplyHeapChkDlg)
	enum { IDD = IDD_APPLYHEAPCHK_DIALOG };
	CProgressCtrl	m_ctlProgress;
	CButton	m_ctlButSelFile;
	CButton	m_ctlButRemove;
	CButton	m_ctlButApply;
	CString	m_sctlSelExt;
	CString	m_sSrcRoot;
	CString	m_sState;
	CString	m_sctlEditApp;
	BOOL	m_bctlUseEditor;
	//}}AFX_DATA

    void	_GetFldr(std::string& sDst);

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CApplyHeapChkDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected   :
	HICON   m_hIcon;
    long    m_lNum;

    void    _FillListWithFiles( const char* psFldr, 
                const char* psExt, list<string>& lstOut );
    bool	_IsInExt(const string& sInStr,const string& sExt);
	void	_DoOneFile(string sFile,bool bReEntr=false);
	void	_CleanOneFile(string sFile);
    bool	_IsHintLine(const string& sLine);
   	bool	_IsInclLine(const string& sLine);
   	bool	_IsIgnLine(const string& sLine);
   	void	_TryManualHint(const string& sFile);
   	void	_WaitForProcTerm(HANDLE hProc);

    
    // TODO: Add your control notification handler code here

	// Generated message map functions
	//{{AFX_MSG(CApplyHeapChkDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonSelFile();
	afx_msg void OnButtonApplyCode();
	afx_msg void OnButtonRemoveCode();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_APPLYHEAPCHKDLG_H__A6BCAC8E_FA35_485F_AB98_CF57D68BA7CB__INCLUDED_)
