// ApplyHeapChkDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ApplyHeapChk.h"
#include "ApplyHeapChkDlg.h"

#include <iostream>
#include <fstream>
#include <algorithm> 
#include <cctype> 

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#define STRNEWTXT  "\
// ===HEAPCHECK=== \n\
#ifdef _WIN32 \n\
#ifdef _DEBUG \n\
   #include <crtdbg.h> \n\
   #undef THIS_FILE \n\
   static char THIS_FILE[] = __FILE__; \n\
   #define new               new( _NORMAL_BLOCK, __FILE__, __LINE__) \n\
   #define malloc(s)         _malloc_dbg(s, _NORMAL_BLOCK, __FILE__, __LINE__) \n\
   #define realloc(p,s)      _realloc_dbg(p,s, _NORMAL_BLOCK, __FILE__, __LINE__) \n\
   #define calloc(c, s)    _calloc_dbg(c, s, _NORMAL_BLOCK, THIS_FILE, __LINE__) \n\
   #define _expand(p, s)   _expand_dbg(p, s, _NORMAL_BLOCK, THIS_FILE, __LINE__) \n\
   #define free(p)         _free_dbg(p, _NORMAL_BLOCK)  \n\
   #define _msize(p)       _msize_dbg(p, _NORMAL_BLOCK) \n\
#endif \n\
#endif \n\
// ===HEAPCHECK=== \n"

#define HEAPHINT    "===HEAPHINT==="
#define HEAPIGN     "===HEAPIGNORE==="

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CApplyHeapChkDlg dialog

CApplyHeapChkDlg::CApplyHeapChkDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CApplyHeapChkDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CApplyHeapChkDlg)
	m_sctlSelExt = _T("");
	m_sSrcRoot = _T("");
	m_sState = _T("");
	m_sctlEditApp = _T("");
	m_bctlUseEditor = FALSE;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
    m_lNum  = 0;
}

void CApplyHeapChkDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CApplyHeapChkDlg)
	DDX_Control(pDX, IDC_PROGRESS_ACTION, m_ctlProgress);
	DDX_Control(pDX, IDC_BUTTON_SELFILE, m_ctlButSelFile);
	DDX_Control(pDX, IDC_BUTTON_REMOVECODE, m_ctlButRemove);
	DDX_Control(pDX, IDC_BUTTON_APPLYCODE, m_ctlButApply);
	DDX_CBString(pDX, IDC_COMBO_SELEXT, m_sctlSelExt);
	DDX_Text(pDX, IDC_EDIT_SRCROOT, m_sSrcRoot);
	DDX_Text(pDX, IDC_STATIC_STATELIST, m_sState);
	DDX_Text(pDX, IDC_EDIT_EDITOR, m_sctlEditApp);
	DDX_Check(pDX, IDC_CHECK_USEDIT, m_bctlUseEditor);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CApplyHeapChkDlg, CDialog)
	//{{AFX_MSG_MAP(CApplyHeapChkDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON_SELFILE, OnButtonSelFile)
	ON_BN_CLICKED(IDC_BUTTON_APPLYCODE, OnButtonApplyCode)
	ON_BN_CLICKED(IDC_BUTTON_REMOVECODE, OnButtonRemoveCode)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CApplyHeapChkDlg message handlers

BOOL CApplyHeapChkDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
    m_sctlEditApp = "xemacs";
	UpdateData( FALSE );
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CApplyHeapChkDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CApplyHeapChkDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CApplyHeapChkDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CApplyHeapChkDlg::_GetFldr( string& sDst )
{
	// TODO: Add your control notification handler code here
	char cbTxtPath[MAX_PATH+1];
	char cbSrcFolder[MAX_PATH+1];
	char cbTitle[4096] = "Select the sourcecode directory";

	BROWSEINFO tagBrowse;
		tagBrowse.hwndOwner			= m_hWnd;
		tagBrowse.pidlRoot			= NULL;
		tagBrowse.pszDisplayName	= &cbTxtPath[0];
		tagBrowse.lpszTitle			= &cbTitle[0];
		tagBrowse.ulFlags			= NULL; /*BIF_NEWDIALOGSTYLE;*/
		tagBrowse.lpfn				= NULL;
		tagBrowse.lParam			= NULL;
		tagBrowse.iImage			= 0;

	LPITEMIDLIST pList   = SHBrowseForFolder( &tagBrowse );

	BOOL bResult = SHGetPathFromIDList( pList, &cbSrcFolder[0] );
	if( bResult )
		sDst = &cbSrcFolder[0];
	else
		sDst = "";
}

void CApplyHeapChkDlg::OnButtonSelFile() 
{	
    UpdateData( TRUE );
    string sFileName;
    _GetFldr( sFileName );

    m_sSrcRoot = sFileName.c_str();
    UpdateData( FALSE );
}

bool CApplyHeapChkDlg::_IsInExt( const string& sInStr, const string& sExt )
{
    char seps[] = " ,;";
    char* psToken = strtok( (char*) sExt.c_str(), seps );
    string sThisToken;
    while( psToken != NULL )
    {
        sThisToken = psToken;
        std::transform( sThisToken.begin(), 
            sThisToken.end(), 
            sThisToken.begin(), 
            (int(*)(int))::tolower );
        if ( sThisToken[0] == '*' )
            sThisToken = sThisToken.substr( 1 );
        long lExtBegin = sInStr.find( "." );
        if (lExtBegin == string::npos )
            return false;
        string sThisExt = sInStr.substr( lExtBegin );    
        std::transform( sThisExt.begin(), 
            sThisExt.end(), 
            sThisExt.begin(), 
            (int(*)(int))::tolower );
        if (sThisExt == sThisToken)
            return true;
        psToken = strtok ( NULL, seps );
    }
    return false;
}


void CApplyHeapChkDlg::_FillListWithFiles( const char* psFldr, 
                                           const char* psExt, list<string>& lstOut )
{
    WIN32_FIND_DATA     FileData;
    HANDLE              hSearch;
    
    string sFileMatch = psFldr;
    sFileMatch += "\\*";

    hSearch = FindFirstFile( sFileMatch.c_str(), &FileData);
    if ( hSearch == INVALID_HANDLE_VALUE )
        return;

    while( true )
    {
        string sOb  = FileData.cFileName; 
        if (
            (sOb != string(".")) &&
            (sOb != string(".."))
           )
        {
            // dir: recursion
            if (FileData.dwFileAttributes & FILE_ATTRIBUTE_DIRECTORY)  
            {
                string sNewFldr = psFldr;
                sNewFldr += "\\";
                sNewFldr += sOb;                
                _FillListWithFiles( sNewFldr.c_str(), psExt, lstOut );                
            }
            else
            {
                // file 
                string sExt = psExt;
                if ( _IsInExt( sOb, sExt ) )
                {
                    m_lNum++;
                    OutputDebugString( "\n" );
                    char cbNum[20];
                    sprintf( &cbNum[0], "%d-", m_lNum );
                    OutputDebugString( &cbNum[0] );
                    
                    string sFinName = psFldr;
                    sFinName += "\\";
                    sFinName += sOb;
                    lstOut.push_back( sFinName );

                    OutputDebugString( sFinName.c_str() );
                }
            }

        }

        // find next file
        BOOL bRest = FindNextFile( hSearch, &FileData );

        if (!bRest)
        {
            FindClose(hSearch);
            break;
        }
    }
}

bool CApplyHeapChkDlg::_IsIgnLine( const string& sLine )
{
    return ( sLine.find( HEAPIGN ) != string::npos ) ? true : false;
}

bool CApplyHeapChkDlg::_IsHintLine( const string& sLine )
{
    return ( sLine.find( HEAPHINT ) != string::npos ) ? true : false;
}

bool CApplyHeapChkDlg::_IsInclLine( const string& sLine )
{
    long lPos = sLine.find( "include" );   
    if ( lPos != string::npos )
    {
        for (int x=lPos; x >= 0; x--)        
            if ( sLine[x] == '#' )                   
                return true;                                    
    }         
    return false;
}

// Wait for a process to terminate AG 041018
void CApplyHeapChkDlg::_WaitForProcTerm(HANDLE hProc)
{
	DWORD dwExit;
	bool bBreak = false;
	long lCnt   = 0;
	while( !bBreak )
	{
		GetExitCodeProcess( hProc, &dwExit );
		if ( dwExit != STILL_ACTIVE )
			bBreak = true;
		Sleep(100);	
		lCnt++;
		if (lCnt == 2)
		{
			RedrawWindow();
			lCnt = 0;
		}		
	}
}

void CApplyHeapChkDlg::_TryManualHint( const string& sFile )
{
    if (!m_bctlUseEditor)
        return;
    
    // string sCmd = "xemacs";
    string sCmd = m_sctlEditApp;
        sCmd += " "; 
        sCmd += sFile;    

    STARTUPINFO			SInfo;
	PROCESS_INFORMATION	SProcInfo;
	GetStartupInfo( &SInfo );

    CreateProcess( NULL,
		(LPSTR) (LPCSTR) sCmd.c_str(), 
		NULL, NULL,
		TRUE,
		CREATE_NEW_CONSOLE,
		NULL, NULL,
		&SInfo ,
		&SProcInfo );

	_WaitForProcTerm( SProcInfo.hProcess );
}

void CApplyHeapChkDlg::_CleanOneFile(string sFile )
{
    fstream obFile;
    list<string> sFileContents;
    obFile.open( sFile.c_str(), std::ios::in ); 
    string sLine; 
    bool bInFile        = false;    
    while( ! obFile.eof() )  
    {
        std::getline( obFile, sLine );        
        bool bFoundLine = ( sLine.find("===HEAPCHECK===") != string::npos ) ? true : false;               
        if ( bFoundLine )
        {
            if (!bInFile)
                bInFile = true;
            else
                bInFile = false;
            continue;
        }
        if (!bInFile)
            sFileContents.push_back( sLine );
    }
    obFile.close();
    obFile.clear();

    obFile.open( sFile.c_str(), std::ios::out | std::ios::trunc );
    list<string>::iterator pIt = sFileContents.begin();    
    while( pIt != sFileContents.end() )
    {
	    obFile << *pIt++;
        obFile << endl;
    }
}

void CApplyHeapChkDlg::_DoOneFile( string sFile, bool bReEntr )
{
    fstream obFile;
    list<string> sFileContents;
    obFile.open( sFile.c_str(), std::ios::in ); 
    string sLine;
    long lInclCount     = 0;
    bool bNoOp          = false;
    bool bHasHint       = false;
    while( ! obFile.eof() )  
    {
        std::getline( obFile, sLine );        
        if ( _IsIgnLine( sLine ) )      // done
            return;
        
        if ( !bHasHint )
        {
            if ( _IsHintLine( sLine ) )
                bHasHint = true;
        }                    
        if ( _IsInclLine( sLine ) )
            lInclCount++;
        sFileContents.push_back( sLine );
    }
    obFile.close();
    obFile.clear();

    if ( (!lInclCount) && (!bNoOp) && (!bHasHint) )
    {
        if (bReEntr)
            return;
        _TryManualHint( sFile );
        _DoOneFile( sFile,true );        // recursion
        return;
    }
    
    obFile.open( sFile.c_str(), std::ios::out | std::ios::trunc );
    list<string>::iterator pIt = sFileContents.begin();
    string sWriteLine;
    while( pIt != sFileContents.end() )
    {
        sWriteLine = *pIt++;
        obFile << sWriteLine;
        obFile << endl;
        if ( bHasHint )
        {
            if ( _IsHintLine ( sWriteLine ) )
                obFile << (STRNEWTXT );    
        }
        else if ( _IsInclLine( sWriteLine ) )            
        {            
            lInclCount--;              
            if (lInclCount == 0 )                       
                obFile << (STRNEWTXT );               
        }                
    }    
    obFile.close();    
}

void CApplyHeapChkDlg::OnButtonApplyCode() 
{
    UpdateData( TRUE );
    CWaitCursor obCursor;

	// - recursively go through the base folder 
    //   and find all the list of files that match
    m_sState = "Searching for files : ";
    UpdateData( FALSE );
    list<string> lstFiles;    
    _FillListWithFiles( m_sSrcRoot, m_sctlSelExt, lstFiles );

    long lLen = lstFiles.size();
    m_sState.Format( "Applying code to %d files ", lLen );
    UpdateData( FALSE );
    m_ctlProgress.SetRange32( 0, lLen );
    m_ctlProgress.SetPos( 0 );

    // - apply the patch to all files recursively
    list<string>::iterator pIt = lstFiles.begin();
    string& sThisFile = string( "" );
    long lCount = 0;
    while ( pIt != lstFiles.end() )    
    {
        sThisFile = (*pIt++);
        
        m_ctlProgress.SetPos( lCount );
        m_sState.Format( "Applying code to %d files (%d: %s)", lLen, lCount, sThisFile.c_str() );
        UpdateData( FALSE );
        UpdateWindow();

        _DoOneFile( sThisFile );    
        lCount++;        
    }

    m_sState = ( "Done." );
    UpdateData( FALSE );
}


void CApplyHeapChkDlg::OnButtonRemoveCode() 
{
	UpdateData( TRUE );
    CWaitCursor obCursor;

	// - recursively go through the base folder 
    //   and find all the list of files that match
    m_sState = "Searching for files : ";
    UpdateData( FALSE );
    list<string> lstFiles;    
    _FillListWithFiles( m_sSrcRoot, m_sctlSelExt, lstFiles );

    long lLen = lstFiles.size();
    m_sState.Format( "Applying code to %d files ", lLen );
    UpdateData( FALSE );
    m_ctlProgress.SetRange32( 0, lLen );
    m_ctlProgress.SetPos( 0 );

    // - remove the patch from all files recursively
    list<string>::iterator pIt = lstFiles.begin();
    string& sThisFile = string( "" );
    long lCount = 0;
    while ( pIt != lstFiles.end() )    
    {
        sThisFile = (*pIt++);
        
        m_ctlProgress.SetPos( lCount );
        m_sState.Format( "Removing code from %d files (%d: %s)", lLen, lCount, sThisFile.c_str() );
        UpdateData( FALSE );
        UpdateWindow();

        _CleanOneFile( sThisFile );    
        lCount++;        
    }

    m_sState = ( "Done." );
    UpdateData( FALSE );
	
}
